[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.EditorCancelEditing

EditorCancelEditing cancels pending changes and disables the editor.

## Declaration

Source position: dbgrids.pas line 451

`protected procedure TCustomDBGrid.EditorCancelEditing;`

## Description

EditorCancelEditing is a procedure used to cancel pending changes and to halt the editing process.

EditorCancelEditing calls the EditingColumn method to disable the editor in the currently selected cell for the control. The EditorMode property is cleared when set, but is restored if the Options property includes the value dgAlwaysShowEditor.

EditorCancelEditing is used in the implementation of methods like DoOperation MoveSel and MouseDown.